com.independentsoft.exchange

## Class MeetingMessage

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Message
    - - com.independentsoft.exchange.MeetingMessage

- Direct Known Subclasses:
    MeetingCancellation, MeetingRequest, MeetingResponse

      public class MeetingMessage
      extends Message

  Represents a meeting in the Exchange store.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemId` | `getAppointmentId()` Gets the unique identifier and change key of an item in the Exchange store.
    `java.util.Date` | `getDateTimeStamp()` Gets the date and time that an instance of an iCalendar object was created.
    `java.util.Date` | `getRecurrenceId()` Gets to identify a specific instance of a recurring calendar item.
    `ResponseType` | `getResponseType()` Gets the type of recipient response received for a meeting.
    `java.lang.String` | `getUid()` Gets a calendar item.
    `boolean` | `hasBeenProcessed()` Gets whether a meeting message item has been processed.
    `boolean` | `isDelegated()` Gets whether a meeting was handled by an account with delegate access.
    `boolean` | `isOutOfDate()` Gets whether a meeting message is out-of-date.

    - ### Methods inherited from class com.independentsoft.exchange.Message

      `getBccRecipients, getCcRecipients, getConversationIndex, getConversationTopic, getDeferredDeliveryTime, getDeferredSendTime, getDisplayCc, getDisplayTo, getDueDate, getFlagCompleteTime, getFlagIcon, getFlagRequest, getFlagStatus, getFrom, getHideAttachments, getInReplyTo, getInReplyToId, getInternetMessageHeaders, getInternetMessageId, getLastVerbExecuted, getMessageFlags, getReceivedBy, getReceivedRepresenting, getReceivedTime, getReferences, getReplyTo, getResponseItems, getSender, getSentTime, getStartDate, getToRecipients, getVotingOptions, getVotingResponse, isDeliveryReceiptRequested, isDraft, isFromMe, isRead, isReadReceiptRequested, isResend, isResponseRequested, isSubmitted, isUnmodified, setDeferredDeliveryTime, setDeferredSendTime, setDeliveryReceiptRequested, setDueDate, setFlagCompleteTime, setFlagIcon, setFlagRequest, setFlagStatus, setFrom, setHideAttachments, setInReplyTo, setRead, setReadReceiptRequested, setReferences, setResponseRequested, setSender, setStartDate, setVotingOptions, setVotingResponse, toString`

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAppointmentId

          public ItemId getAppointmentId()

      Gets the unique identifier and change key of an item in the Exchange store.
      Returns:
        the appointment id

    - #### isDelegated

          public boolean isDelegated()

      Gets whether a meeting was handled by an account with delegate access.
      Returns:
        true, if is delegated

    - #### isOutOfDate

          public boolean isOutOfDate()

      Gets whether a meeting message is out-of-date.
      Returns:
        true, if is out of date

    - #### hasBeenProcessed

          public boolean hasBeenProcessed()

      Gets whether a meeting message item has been processed.
      Returns:
        true, if successful

    - #### getResponseType

          public ResponseType getResponseType()

      Gets the type of recipient response received for a meeting.
      Returns:
        the response type

    - #### getUid

          public java.lang.String getUid()

      Gets a calendar item.
      Returns:
        the uid

    - #### getRecurrenceId

          public java.util.Date getRecurrenceId()

      Gets to identify a specific instance of a recurring calendar item.
      Returns:
        the recurrence id

    - #### getDateTimeStamp

          public java.util.Date getDateTimeStamp()

      Gets the date and time that an instance of an iCalendar object was created.
      Returns:
        the date time stamp